summaryrefslogtreecommitdiff
path: root/tests/tail-2/F-vs-rename.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tail-2/F-vs-rename.sh')
-rwxr-xr-xtests/tail-2/F-vs-rename.sh15
1 files changed, 10 insertions, 5 deletions
diff --git a/tests/tail-2/F-vs-rename.sh b/tests/tail-2/F-vs-rename.sh
index f95b71a6f..e087ec2e8 100755
--- a/tests/tail-2/F-vs-rename.sh
+++ b/tests/tail-2/F-vs-rename.sh
@@ -28,20 +28,25 @@ check_tail_output()
{ sleep $delay; return 1; }
}
-touch a b || framework_failure_
+# Speedup the non inotify case
+fastpoll='-s.1 --max-unchanged-stats=1'
for mode in '' '---disable-inotify'; do
- tail $mode -F -s.1 a b > out 2>&1 & pid=$!
+ rm -f a b out
+ touch a b || framework_failure_
+
+ tail $mode -F $fastpoll a b > out 2>&1 & pid=$!
# Wait up to 12.7s for tail to start.
echo x > a
- tail_re='^x$' retry_delay_ check_tail_output .1 7 || fail=1
+ tail_re='^x$' retry_delay_ check_tail_output .1 7 || { cat out; fail=1; }
- mv a b || fail=1
+ mv a b || framework_failure_
# Wait 12.7s for this diagnostic:
# tail: 'a' has become inaccessible: No such file or directory
- tail_re='inaccessible' retry_delay_ check_tail_output .1 7 || fail=1
+ tail_re='inaccessible' retry_delay_ check_tail_output .1 7 ||
+ { cat out; fail=1; }
echo x > a
# Wait up to 12.7s for this to appear in the output: